Межсайтовый скриптинг в PHP iCalendar

Дата публикации:
04.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
3210
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP iCalendar 2.x
Уязвимые версии: PHP iCalendar 2.22, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cal" в сценарии rss/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://victim/phpicalendar/rss/index.php?cal=[XSS]

URL производителя: phpicalendar.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: [Kurdish Security # 12 ] PHP iCalendar Cross Site Scripting

или введите имя

CAPTCHA